Subject: Re: bug#22204: 25.1.50; Incorrect popup menu and tooltip placement when using DPI scaling

From: martin rudalics <[email-masked]>
Date: Fri, 18 Dec 2015 17:56:04 +0100

> When I use Emacs, either the latest release or a current snapshot, on my
 > 13 inch laptop with a 3200x1800 display running GNU/linux, tooltips and
 > popup menus appear below and to the right of their correct locations. I
 > have DPI scaling turned on in GNOME.

I strongly suspect this is the issue brought up in bug#20619, bug#21348
and maybe others. Ryan Prior has written a patch for both and you should
find it in the thread of bug#21348 (message#28).  Please try whether the
patch applies and whether it helps.  We should get this is into Emacs 25
but so far no one has helped Ryan testing it.

Thanks, martin